<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('server_resources', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('internal_ip');
            $table->unsignedBigInteger('asset_id')->index();
            $table->unsignedBigInteger('account_id')->index();
            $table->json('protocols');
            $table->string('description')->nullable();
            $table->boolean('is_active')->default(true);
            $table->timestamps();

            $table->index(['internal_ip', 'is_active']);
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('server_resources');
    }
};
